var squareInitWidth;
var squareOuterWidth;
function declOfNum(number, titles) {
    cases = [2, 0, 1, 1, 1, 2];
    return titles[ (number % 100 > 4 && number % 100 < 20) ? 2 : cases[(number % 10 < 5) ? number % 10 : 5] ];
}


$(document).ready(function () {
    $('.servicesChooser .service').click(function () {
        location.href = $('a', this).attr('href');
    });
    /* header */

    //замена капчи
    function replaceCaptcha() {
        setTimeout(function () {
            $('.security_code').each(function (i, de) {
                var src = $('img', de).attr('src');
                $('img', de).replaceWith("<img src='" + src + "'>");
                //console.log(src);
            });
        }, 1000);
    }

    //подгружаем капчи
    window.onload = function () {

        replaceCaptcha();

    }

    /* вкладка местоположение */

    $('#filterLoc').live({
        keyup: function (e) {
            var p = $(this);
            if (e.keyCode == 13) {
                var a = 0;
                $('.locations li a').each(function () {
                    if ($(this).text().toLowerCase() == $(p).val().toLowerCase()) {
                        $(this).click();
                        $('.filterLocation .annotation').hide();
                        $('.filterLocation .correct ').show();
                        a = 1;
                    }
                });
                if (a == 0) {
                    $('.filterLocation .query').hide()
                    $('.filterLocation .alert').show()
                }
            }
            else {
                var str = $(this).val().toLowerCase();
                $('.equals').removeClass('equals');
                if (str.length > 0) {
                    $('#list-cit li').each(function () {
                        if ($(this).text().toLowerCase().indexOf(str) >= 0) {
                            $(this).addClass('equals');
                        }
                    });
                    //$('#location .annotation').hide();
                    //$('#location .alert').hide();
                } else {
                    //$('#location .annotation').hide();
                    //$('#location .query').hide();
                }
            }
        }
    });

    $('.filterLocation .ProgressSubmit').live({
        click: function () {
            var p = $('#filterLoc');
            var a = 0;
            $('.locations li a').each(function () {
                if ($(this).text().toLowerCase() == $(p).val().toLowerCase()) {
                    $(this).click();
                    $('.filterLocation .annotation').hide();
                    $('.filterLocation .correct ').show();
                    a = 1;
                }
            });
            if (a == 0) {
                $('.filterLocation .query').hide()
                $('.filterLocation .alert').show()
            }
        }
    });

    /* cities */
    /* fix submit on enter keypress DONT WORK %{ */
    $('#filterLocation input').live({
        keypress: function (e) {
            if (e.which == 13)
                e.preventDefault();
        }
    });

    /* ENDS cities */

    /* закончилась вкладка с местоположением */


    /* вкладка связаться с нами */
    $('#feedback .sections li a').live("click",function () {
        $('#feedback .sections li').removeClass('current');
        $(this).parent('li').addClass('current');
        var selectedFeedbackLink = $(this).attr('href');
        if (selectedFeedbackLink == 'skype:echo123?call ') {
            return true;
        } else {
            $('#feedback .feedbackContainer .feedbackContainerContent').hide();
            $('#feedback .blueLine').show();
            $(selectedFeedbackLink).show();
            if (selectedFeedbackLink == '#callOverSite')
                CopinyInlineWidget.show();

            //если есть элемент к которому ведёт ссылка - узнаём его позицию и скроллим к нему
            var href = $(this).attr('href').split('#');
            var ancor = '#' + href[1];
            if (ancor != '#' && $(ancor).html()) {
                var st = $(ancor).offset().top - 50;
                $("html,body").animate({scrollTop: st}, 500);
                return false;
            }

            return false;
        }
    });

    /* контролы readMore */

    /*     $('.searchResult').each(function(){
     if( $('ul.moreResults li', this).length == 0 ){
     $('.readmore', this).hide();
     }
     }); */


    /* header */

    /* права */
    $('a.slideLink').click(function () {
        $('.conditions').slideToggle();
        $('html,body').animate({
            scrollTop: $('.conditions').offset().top
        });
        return false;
    });
    /* права закрыть кнопку */
    $('.conditions .closeButton').click(function () {
        $('.conditions').slideUp();
    });

    $('.filterLocation').submit(function () {
        return false;
    });

    $('.wrapper.readMoreContainer .closeButton').click(function () {
        $('.wrapper.readMoreContainer').slideUp();
    });

    $('.features .showAll').click(function () {
        $(this).hide();

        $(this).next().slideDown();
    });

    $('.showMoreResults').live({
        click: function () {
            $('.hiddenResults').slideDown();
            $(this).hide();
        }
    });

    //Обработка формы ввода кода для входа через соц сеть по токену от банка
    $('.btncode').click(function () {
        $.get('/scripts?mode=getSocialStatus&token=' + $('.entercode').val(), function (data) {
            if (data == 'valid') {
                $('.socialSMS').hide();
                $('.socialAuth').show();
            }
            else {
                $('.socialSMS').show();
                $('.socialSMS h3').html('К сожалению, код подтверждения <span style="color:red">снова</span> не подошёл.<br>Пожалуйста, проверьте код из SMS и введите его ещё раз.');
                $('.socialAuth').hide();
            }
        });
        return false;
    });




    $('#orderCall').live("submit",function () {
        var err = 0;

        //чекаем капчу
        if ($('#orderCall input[name=security_code]').val() == '') {
            $('#orderCall input[name=security_code]').addClass('error');
            err = 1;
        } else {
            $('#orderCall input[name=security_code]').removeClass('error')
        }

        //чекаем телефон
        if (!/^\+\d{1} \d{3} \d{3} \d{2} \d{2}$/.test($('input[name=phone]', this).val())) {
            $('input[name=phone]', this).addClass('error');
            err = 1;
        }
        else {
            $('input[name=phone]', this).removeClass('error');
        }
        var dates;
        if (err != 1) {
            $('#clvprld').val("                ").attr('disabled', 'disabled');
            $('#clprld').show();
            $.post('/scripts?mode=orderCall', $(this).serialize(), function (data) {
                if (data == 'ok') {
                    $('select[name=dateOfCall] option').each(function () {
                        if ($('select[name=dateOfCall]').val() == $(this).attr('value')) {
                            dates = $(this).text();
                        }
                    });
                    var time = $('select[name=timeOfCall]').val();
                    $('#orderCallRes strong').text(dates + ' в ' + time);
                    $('#orderCallRes').show();
                    $('#orderCall').hide();
                    replaceCaptcha();
                } else {
                    $('#clvprld').val("Заказать").removeAttr('disabled');
                    $('#clprld').hide();
                    $('#orderCall input[name=security_code]').addClass('error');
                }
            });
        }
        return false;
    });


    /////////////////////
    ///////CONTENT///////
    /////////////////////

    /* index page */
    if ($('body').hasClass('index')) {
        if ($(window).width() > 1024) {
            /* pulsate arrows inside the yellow square */
            function pulsateOutSquare() {
                var easing = 'easeInSine';
                $('#draggableSelector .leftArrow').delay(300).animate({
                    left: '-=10px'
                }, 250, easing);
                $('#draggableSelector .rightArrow').delay(300).animate({
                    right: '-=10px'
                }, 250, easing, function () {
                    pulsateInSquare();
                });
            }

            function pulsateInSquare() {
                var easing = 'easeOutSine';
                $('#draggableSelector .leftArrow').animate({
                    left: '+=10px'
                }, 250, easing);
                $('#draggableSelector .rightArrow').animate({
                    right: '+=10px'
                }, 250, easing, function () {
                    pulsateOutSquare();
                });
            }

            pulsateOutSquare();

            /* draggable selector */
            $('.selectorWrapper').mousemove(function (e) {
                if (!$(this).hasClass('animation')) {
                    $('.arrows').fadeOut(100);
                    var xLeft = e.pageX - this.offsetLeft - $('#draggableSelector').outerWidth() / 2;
                    var xRight = ($(this).width() - $('#draggableSelector').outerWidth() - xLeft);
                    if (xRight < 0) {
                        xRight = 0;
                        xLeft = $(this).width() - $('#draggableSelector').outerWidth();
                    }
                    $('.iCLoseLeft').css({
                        'width': xLeft + 'px'
                    });
                    $('.iCLoseRight').css({
                        'width': (xRight) + 'px'
                    });

                    //console.log(xLeft + ' ' + xRight);
                }
            });
            $('.selectorWrapper').click(function (e) {
                var xLeft = e.pageX - this.offsetLeft - $('#draggableSelector').outerWidth() / 2;
                if (xLeft >= ($(this).width() / 2) - $('#draggableSelector').outerWidth() / 2) {
                    ;
                    $('#draggableSelector a').attr('href', $('.forBusiness a').attr('href'));
                }
                else {
                    $('#draggableSelector a').attr('href', $('.forHome a').attr('href'));
                }
            });
            squareInitWidth = $('.iCLoseRight').width();
            squareOuterWidth = ($('.selectorWrapper').parent('.wrapper1060').width() - $('#draggableSelector').outerWidth()) / 2;
            $('.selectorWrapper').mouseleave(function () {
                $(this).addClass('animation');
                $('.arrows').fadeIn(150);
                $('.iCLoseRight').animate({
                    'width': squareOuterWidth
                }, function () {
                    $('.selectorWrapper').removeClass('animation');
                });
                $('.iCLoseLeft').animate({
                    'width': squareOuterWidth
                }, function () {
                    $('.selectorWrapper').removeClass('animation');
                });

            });

        }
    }
	
	
	var seen = false;
	var seen_gone = false;
	var slider;

	$(window).blur(function(){
		seen_gone = true;
	}); 
	
	$(window).focus(function(){
		seen_gone = false;
	}); 
	
	function elemInView(el,ch){
		var p_el = el.offset();
		var win = $(window);
		var top = p_el.top;
		var bottom = top + el.height();
		if(ch) seen = false;
		if(top>win.scrollTop() && top<(win.scrollTop()+win.height()) && bottom>win.scrollTop() && bottom<(win.scrollTop()+win.height())) {
			if (!seen && !seen_gone) {
				var current = slider.getCurrentSlide();
				current++;
				var ref = $('ul.slider').children('li').eq(current).find('a.banner_link').attr('href');
				var title = $('ul.slider').children('li').eq(current).find('h3').html();
				if ($('body').hasClass('bank_live')) var mark = 'live_banner_seen';
				else if ($('body').hasClass('bank_business')) var mark = 'business_banner_seen';
				$.post('/setstats',{
					get_mark:mark,
					get_title:title,
					get_ref:ref
				});
				seen = true;
			}
		}else{
			seen = false;
		}
	};
	
    /* page Bank for Live */
    if ($('body').hasClass('bank_live') || $('body').hasClass('bank_business')) {
		slider = $('.slider').bxSlider({
            slideMargin: 10,
            controls: false,
            auto: true,
            autoHover: true,
            pause: 8000,
			onSlideAfter: function() {
				var el = $('.slider');
				elemInView(el,true);
				}
        });
		
		//статистика
		
		$('.banner_link').click(function(){
			var ref = $(this).parent().parent().find('a.banner_link').attr('href');
			if ($('body').hasClass('bank_live')) var mark = 'live_banner_go';
			else if ($('body').hasClass('bank_business')) var mark = 'business_banner_go';
			var title = $(this).parent().parent().find('h3').html();
			$.post('/setstats',{
				get_mark:mark,
				get_title:title,
				get_ref:ref
			});
		});
		 
		window.onscroll = function (event) { 
			var el = $('.slider');
			elemInView(el,false);
		};

    }


    //    if($('body').hasClass('cards_page')){
    //        var pos= $('#cardsSelector').offset();
    //        $('body,html').animate({
    //            scrollTop: pos.top - '20'
    //            });
    //    };

    $('.servicesChooser .service').hover(
        function () {
            $(this).children('.serviceHead').stop(1, 1).animate({
                height: '100%',
                backgroundColor: '#FFD600'
            });
            $(this).find('span').stop(1, 1).fadeOut();
        },
        function () {
            $(this).children('.serviceHead').stop(1, 1).animate({
                height: '137px',
                backgroundColor: 'white'
            });
            $(this).find('span').stop(1, 1).fadeIn();
        }
    );

    $('#liveVkladSubmit1').click(function () {
        if (!$(this).hasClass('disabled'))
            $('#vkladForm').submit();
        return false;
    });

    $('#businessVkladSubmit1').click(function () {
        $('#vkladForm').submit();
        return false;
    });

    $('#callback').live("submit",function () {
        var err = 0;
        //чекаем капчу
        if ($('#callback input[name=security_code]').val() == '') {
            $('#callback input[name=security_code]').addClass('error');
            err = 1;
        } else {
            $('#callback input[name=security_code]').removeClass('error')
        }
        //чекаем фамилию\
        if (!/^[А-Яа-яЁё\s]+$/.test($('#callback input[name=family]').val())) {
            $('#callback input[name=family]').addClass('error');
            err = 1;
        } else {
            $('#callback input[name=family]').removeClass('error')
        }
        //чекаем имя
        if (!/^[А-Яа-яЁё\s]+$/.test($('#callback input[name=name]').val())) {
            $('#callback input[name=name]').addClass('error');
            err = 1;
        } else {
            $('#callback input[name=name]').removeClass('error')
        }
        //чекаем телефон
        if (!/^\+\d{1} \d{3} \d{3} \d{2} \d{2}$/.test($('#callback input[name=phone]').val())) {
            $('#callback input[name=phone]').addClass('error');
            err = 1;
        } else {
            $('#callback input[name=phone]').removeClass('error')
        }
        //чекаем сообщение
        if ($('#callback textarea').val().length < 5) {
            $('#callback textarea').addClass('error');
            err = 1;
        } else {
            $('#callback textarea').removeClass('error')
        }
        if (err == 1) {
            return false
        }

        $('#cbvprld').val("                   ").attr('disabled', 'disabled');
        $('#cbprld').show();
        $.post($(this).attr('action'), $(this).serialize(), function (data) {
            if (data == 'ok') {
                $('#textOverSite .formResult').show();
                $('#textOverSite form').hide();
                replaceCaptcha();
            } else {
                $('#cbprld').hide();
                $('#cbvprld').val("Отправить").removeAttr('disabled');
                $('#callback input[name=security_code]').addClass('error');
            }
        });
        return false;
    });




    //search
    $('.siteSearch input').live("keyup",function (e) {
        e.preventDefault();
        if ($(this).val().length > 0) {
            $.post("/scripts?mode=search", {
                query: $(this).val()
            }, function (data) {
                if (data != 'null') {
                    $('.siteSearchNo').hide();
                    var arr = JSON.parse(data);
                    var result = '';
                    var word = declOfNum(arr.length, ['страница', 'страницы', 'страниц']);
                    var word2 = declOfNum(arr.length, ['Найдена', 'Найдено', 'Найдено']);
                    $('#siteSearchCount').text(word2 + ' ' + arr.length + ' ' + word);
                    for (var i in arr) {
                        result += '<li><a href="/' + arr[i]['alias'] + '" class="wrapper990"><span class="searchCount">' + (i * 1 + 1) + '.</span><div class="article"><h3><strong>' + arr[i]['longtitle'] + '</strong></h3></div></a></li>';
                    }
                    $('#siteSearchResult').show().children('ul').html(result);
                }
                else {
                    $('.siteSearchNo').show();
                    $('#siteSearchResult').hide();
                }
            });
        }
        else {
            $('#siteSearchResult').hide();
            $('.siteSearchNo').hide();
        }
    });

    //Скрытие информации о том, что город определился ближайший.
    $('#cityStay').live("click",function () {
        $.post('/scripts?mode=cityStay', function () {
            $('.undefinedCityMessage').hide();
        });
    });
    $('#cityChange').live("click",function () {
        $('.undefinedCityMessage').hide();
        $('.leftTopNav li:eq(0) a').click();
    });

    setTimeout(function () {
        $('.yellow-line').show();
    }, 1000);

    $('.copiniHideLink').live("click",function () {
        $('#copinyClick').click();
        return false;
    });


});

function vkok(cl) {
    if ($('body').hasClass('bank_live get_credit anketa')) {
        $('.form-item.social-item a.' + cl).addClass('active');
    }
    else {
        if ($('body').hasClass('bank_business get_credit anketa')) {
            multiformInputLogic($('.socialLogin'));
        }
        else {
            $('.socialAuth').hide();
            $('.socialWin').show();
        }

    }

}